<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package markito-x
*/
?>

   <!---Start-Footer-Section-->
   <footer class="footer-section-spacing home-footer-bg">
      <div class="container">
         <div class="row">
            <!--item-->
            <div class="col-lg-6">
               <?php 
                  if ( is_active_sidebar( 'footer-sidebar' ) ) : 
                     dynamic_sidebar( 'footer-sidebar' );
                  endif; 
               ?>
            </div>
            <!--item-->
            <div class="col-lg-6">
               <?php 
                  if ( is_active_sidebar( 'footer-sidebar-two' ) ) : 
                     dynamic_sidebar( 'footer-sidebar-two' );
                  endif; 
               ?>
            </div>
            <div class="container">
               <div class="row justify-content-center">
                  <div class="container-fluid">
                     <div class="copy-right">
                        <span class="copy-right-seprater"></span> <br> 
                        <?php esc_html_e("Proudly Powered by" ,'markito-x'); ?> 
                           <a href="<?php echo esc_url( __( 'https://wordpress.org/', 'markito-x' ) ); ?>" target="_black">
                              <?php echo esc_html__( 'WordPress', 'markito-x' ); ?>
                           </a>
                        <span class="sep"> | </span>
                        <?php if( get_theme_mod( 'markito_Developed_By_Text_Settings' ) ) :
                                    echo esc_html(get_theme_mod( 'markito_Developed_By_Text_Settings' ));
                                 else :
                                    esc_html_e('Theme By Markito' , 'markito-x');  
                              endif;
                        ?>
                        <a href="<?php if( get_theme_mod( 'markito_Footer_developed_by_Link_Settings' ) ) :
                                 echo esc_url(get_theme_mod( "markito_Footer_developed_by_Link_Settings" ));
                              else :
                                 echo esc_url("http://infigosoftware.in/");  
                              endif;
                         ?>" target="_black"> 
                        <?php if( get_theme_mod( 'markito_Footer_developed_by_Link_Text_Settings' ) ) :
                                    echo esc_html(get_theme_mod( 'markito_Footer_developed_by_Link_Text_Settings' ));
                                 else :
                                    esc_html_e('Infigo Software' , 'markito-x');  
                              endif;
                        ?> </a>
                       <br> 
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div> 
   </footer>
</div><!-- #page -->

<?php $markito_x_Back_To_Top_Button_background = get_theme_mod('markito_x_Back_To_Top_Button_background');
if( !empty($markito_x_Back_To_Top_Button_background) ) : ?>

   <style>
      #btn-to-top {
         display: inline-block;
         width: 40px;
         height: 40px;
         background-color: <?php echo $markito_x_Back_To_Top_Button_background; ?> !important;
         text-align: center;
         position: fixed;
         bottom: 90px;
         right: 35px;
         opacity: 0;
         visibility: hidden;
         z-index: 999;
         transform: scale(1.1,1.1);
         transition: all 0.5s ease;
      }
   </style>    
                
<?php endif; ?>

<?php $markito_x_Back_To_Top_Button_color_background = get_theme_mod('markito_x_Back_To_Top_Button_color_background');
   if( !empty($markito_x_Back_To_Top_Button_color_background) ) : ?>

      <style>

         a#btn-to-top i {
            font-size: 20px;
            color: <?php echo $markito_x_Back_To_Top_Button_color_background; ?> !important;
            line-height: 2.1;
         }

      </style>    
                
<?php endif; ?>

<?php 
$markito_x_Back_To_Top_Location_Button = get_theme_mod('markito_x_Back_To_Top_Location_Button', 'Right'); 
if( $markito_x_Back_To_Top_Location_Button === "Left" ) :
   ?>

   <style>
   #btn-to-top.show {
      opacity: 1;
      visibility: visible;
      left: 10%;
      position: fixed;
   }
   </style>  

   <?php

endif;
?>                  

<!--- scroll-to-top -->
<?php $markito_x_Back_To_Top_Section_Visibility = get_theme_mod( 'markito_x_Back_To_Top_Section_Visibility' ,1 );
if( $markito_x_Back_To_Top_Section_Visibility ) : ?>
   <a href="#" id="btn-to-top"><i class="fas fa-arrow-up"></i></a>
<?php endif; ?>

<?php get_template_part('custom','font'); ?>
<?php wp_footer(); ?>
</body>
</html>